Show / Hide Table of Contents

# Struct AddonWeeklyPuzzle.RewardPanelItem

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RewardPanelItem

### Fields

| Improve this Doc View Source

#### CompBase

##### Declaration

    public AtkComponentBase*CompBase

##### Field Value

Type | Description
--- | ---
AtkComponentBase* |

| Improve this Doc View Source

#### NameText

##### Declaration

    public AtkTextNode*NameText

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### Res

##### Declaration

    public AtkResNode*Res

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### RewardText

##### Declaration

    public AtkTextNode*RewardText

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### Unk20

##### Declaration

    public long Unk20

##### Field Value

Type | Description
--- | ---
System.Int64 |